#!/usr/bin/perl
# create list of the frequency of different lengths of the names

my(@lines, $line, @namesInLine, @names, $name, @tnames, $firstLen,
   $oldLen, $newLen);

chomp(@lines = <>);

foreach $line (@lines) {
    $line =~ s/^\s+//;
    $line =~ s/\s+$//;
    $line =~ s/,*$//;
    @namesInLine = split(/, /, $line);
    push(@names, @namesInLine); 
}

foreach $name (@names) {
   $name =~ s/^['"]//;
   $name =~ s/['"]$//;
   push(@tnames, $name);
}
@names = @tnames;

my $countNames = @names;
my $countNamesForLen = 0;
my $percentNamesForLen;

foreach $name (sort { length $a <=> length $b } @names) {
   $len = length $name;
   if ($len ne $oldLen) {
       if ($oldLen) {
           $percentNamesForLen = $countNamesForLen * 100 / $countNames;
           $percentNamesForLen = sprintf("%.1f", $percentNamesForLen);
           print "\n$oldLen,$percentNamesForLen";  
       }
       $countNamesForLen = 0;
   }
   $oldLen = $len;
   $countNamesForLen++;
}

$percentNamesForLen = $countNamesForLen * 100 / $countNames;
$percentNamesForLen = sprintf("%.1f", $percentNamesForLen);
print "\n$oldLen,$percentNamesForLen";  
