#!/usr/bin/perl
# create HTML for names.html from the list of names in bingo.html

my(@lines, $line, @namesInLine, @names, $name, @tnames, $firstLetter,
   $oldFirstLetter, $newLetter);

chomp(@lines = <>);

foreach $line (@lines) {
    $line =~ s/^\s+//;
    $line =~ s/\s+$//;
    $line =~ s/,*$//;
    @namesInLine = split(/, /, $line);
    push(@names, @namesInLine); 
}

foreach $name (@names) {
   $name =~ s/^['"]//;
   $name =~ s/['"]$//;
   push(@tnames, $name);
}
@names = @tnames;

#startLetters();

my $countNames = @names;
my $countNamesForLetter = 0;
my $percentNamesForLetter;

foreach $name (sort { substr($a, -1, 1) cmp substr($b, -1, 1) } @names) {
   #$newLetter = 0;
   $firstLetter = substr($name, -1, 1);
   if ($firstLetter ne $oldFirstLetter) {
       if ($oldFirstLetter) {
           #endLetterSection();
           $percentNamesForLetter = $countNamesForLetter * 100 / $countNames;
           $percentNamesForLetter = sprintf("%.2f", $percentNamesForLetter);
           print "\n$oldFirstLetter,$percentNamesForLetter";  
       }
       #startLetterSection($firstLetter);
       $countNamesForLetter = 0;
       #$newLetter = 1;
   }
   $oldFirstLetter = $firstLetter;
   #if (!$newLetter) {
   #    print ", ";
   #}
   #print $name;
   $countNamesForLetter++;
}

$percentNamesForLetter = $countNamesForLetter * 100 / $countNames;
$percentNamesForLetter = sprintf("%.2f", $percentNamesForLetter);
print "\n$oldFirstLetter,$percentNamesForLetter";  

#endLetterSection();

#endLetters();
